Package org.picocontainer.behaviors

# Class Behaviors

java.lang.Object
org.picocontainer.behaviors.Behaviors

public class Behaviors extends Object
Static collection of factory methods for different BehaviourFactory implementations.

Author:
  Paul Hammant, Mauro Talevi

## Method Summary

Modifier and Type
Method
Description
`static BehaviorFactory`
`automatic()`
`static BehaviorFactory`
`caching()`
`static BehaviorFactory`
`implementationHiding()`
`static BehaviorFactory`
`locking()`
`static BehaviorFactory`
`propertyApplying()`
`static BehaviorFactory`
`synchronizing()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### implementationHiding

public static BehaviorFactory implementationHiding()

### caching

public static BehaviorFactory caching()

### synchronizing

public static BehaviorFactory synchronizing()

### locking

public static BehaviorFactory locking()

### propertyApplying

public static BehaviorFactory propertyApplying()

### automatic

public static BehaviorFactory automatic()